<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Subscriptions over Web Sockets</title>
    <link rel="stylesheet" href="/css/main.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="/js/main.js">
    </script>
</head>
<body>

<div class="jumbotron text-center">
    <h2>graphql-java Subscriptions</h2>
    <p>An example of graphql-java subscriptions sending continuous updates over websockets</p>
</div>


<div class="container">
    <div class="row">
        <div class="col-sm-1">
            <img src="https://avatars1.githubusercontent.com/u/14289921?s=200&v=4"
                 class="img-thumbnail" alt="graphql-java" width="400" height="400">
        </div>
        <div class="col-sm-3">
            <h3>Explanation</h3>
            <p>
                This demonstrates the use of graphql subscriptions and web sockets to send a stream of alert
                message updates to this page.
            </p>
            <p>
                The updates are continuously sent from a server side publish and subscribe system (RxJava)
                and pushed down to the browser client while applying graphql shapes to the subscription data</p>
            <p>The graphql query used in this example is :</p>
            <pre>
subscription AlertsSubscription {
    alerts(level: 1) {
        id
        serviceName
        message
    }
}
            </pre>
        </div>
        <div class="col-sm-8">
            <h3>Alert Updates</h3>
            <div class="alertList">Pending subscription...</div>
            <div class="networking">📡</div>
        </div>
    </div>
</div>
</body>
</html>
